Bug 76428 - (PCI) error in pci setup code, fixed in base kernel now
(PCI) error in pci setup code, fixed in base kernel now
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.3
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-10-21 13:52 EDT by Need Real Name
Modified: 2008-08-01 12:22 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:40:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-10-21 13:52:37 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20021003

Description of problem:
The 2.4.18-17.7.x kernel will not initialize the PCI controller in my system,
the 2.4.18-4 kernel works fine.  My system is an IBM thinkpad T21, and the
controller is in the docking station.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Load the 2.4.18-17.7.x kernel on an IBM Thinkpad T21 system with docking station
2.Boot the system
3.
	

Actual Results:  Devices in the docking station, /dev/hde disk and pcmcia ports
are not found.

Expected Results:  They worked in the past

Additional info:

information from dmesg
2.4.18-4-----

PCI: PCI BIOS revision 2.10 entry at 0xfd94f, last bus=14
PCI: Using configuration type 1
PCI: Probing PCI hardware
Unknown bridge resource 0: assuming transparent
Unknown bridge resource 2: assuming transparent
Unknown bridge resource 0: assuming transparent
Unknown bridge resource 1: assuming transparent
Unknown bridge resource 2: assuming transparent
PCI: Using IRQ router PIIX [8086/7110] at 00:07.0
Limiting direct PCI/PCI transfers.

2.4.18-17.7.x-----
PCI: PCI BIOS revision 2.10 entry at 0xfd94f, last bus=14
PCI: Using configuration type 1
PCI: Probing PCI hardware
PCI: Using IRQ router PIIX [8086/7110] at 00:07.0
PCI: Cannot allocate resource region 0 of device 08:01.0
PCI: Cannot allocate resource region 1 of device 08:01.0
PCI: Cannot allocate resource region 2 of device 08:01.0
PCI: Cannot allocate resource region 3 of device 08:01.0
PCI: Cannot allocate resource region 4 of device 08:01.0
PCI: Cannot allocate resource region 0 of device 08:02.0
PCI: Cannot allocate resource region 0 of device 08:02.1
PCI: Failed to allocate resource 4(0-f) for 08:01.0
PCI: Failed to allocate resource 0(0-fff) for 08:02.0
PCI: Failed to allocate resource 0(0-fff) for 08:02.1
Limiting direct PCI/PCI transfers.

lspci from 2.4.18-17.7.x-----------
...
00:07.1 IDE interface: Intel Corp. 82371AB/EB/MB PIIX4 IDE (rev 01) (prog-if 80
[Master])
        Flags: bus master, medium devsel, latency 64
        [virtual] I/O ports at 01f0
        [virtual] I/O ports at 03f4
        [virtual] I/O ports at 0170
        [virtual] I/O ports at 0374
        I/O ports at 1850 [size=16]

00:07.2 USB Controller: Intel Corp. 82371AB/EB/MB PIIX4 USB (rev 01) (prog-if 00
[UHCI])
        Flags: bus master, medium devsel, latency 64, IRQ 11
        I/O ports at 1860 [size=32]

00:07.3 Bridge: Intel Corp. 82371AB/EB/MB PIIX4 ACPI (rev 03)
        Flags: medium devsel, IRQ 9

01:00.0 VGA compatible controller: S3 Inc. 86C270-294 Savage/IX-MV (rev 11)
(prog-if 00 [VGA])
        Subsystem: IBM: Unknown device 017f
        Flags: bus master, 66Mhz, medium devsel, latency 64, IRQ 11
        Memory at f0000000 (32-bit, non-prefetchable) [size=128M]
        Expansion ROM at <unassigned> [disabled] [size=64K]
        Capabilities: [dc] Power Management version 1
        Capabilities: [80] AGP version 1.0

08:01.0 IDE interface: CMD Technology Inc PCI0648 (rev 01) (prog-if 8f [Master
SecP SecO PriP PriO])
        Subsystem: CMD Technology Inc PCI0648
        Flags: bus master, medium devsel, latency 64, IRQ 11
        I/O ports at <ignored> [size=8]
        I/O ports at <ignored> [size=4]
        I/O ports at <ignored> [size=8]
        I/O ports at <ignored> [size=4]
        I/O ports at <ignored> [size=16]
        Capabilities: [60] Power Management version 1

08:02.0 CardBus bridge: Texas Instruments PCI1420
        Subsystem: IBM: Unknown device 0148
        Flags: bus master, medium devsel, latency 64, IRQ 11
        Memory at <ignored> (32-bit, non-prefetchable) [size=4K]
        Bus: primary=08, secondary=09, subordinate=0b, sec-latency=128
        I/O window 0: 00000000-00000003
        I/O window 1: 00000000-00000003
        16-bit legacy interface ports at 0001

08:02.1 CardBus bridge: Texas Instruments PCI1420
        Subsystem: IBM: Unknown device 0148
        Flags: bus master, medium devsel, latency 64, IRQ 11
        Memory at <ignored> (32-bit, non-prefetchable) [size=4K]
        Bus: primary=08, secondary=0c, subordinate=0e, sec-latency=128
        I/O window 0: 00000000-00000003
        I/O window 1: 00000000-00000003
        16-bit legacy interface ports at 0001
Comment 1 Need Real Name 2003-03-24 16:37:47 EST
Is there any progress on this or do you need more information.  I have been able
to get the 2.4.18-10 kernel to work, but the latest 2.4.18-27.7.x does not work.
Comment 2 Need Real Name 2003-03-27 13:02:14 EST
I found the problem online, there is a bug in drivers/pci/pci.c See:
http://lists.insecure.org/linux-kernel/2002/Oct/7515.html.  The fix for
2.4.20p11 works, see below:

--- 2.4.20p11/drivers/pci/pci.c Tue Oct 22 16:27:00 2002
+++ linux/drivers/pci/pci.c Tue Oct 22 16:37:18 2002
@@ -1386,7 +1386,7 @@ int pci_setup_device(struct pci_dev * de
                 /* The PCI-to-PCI bridge spec requires that subtractive
                    decoding (i.e. transparent) bridge must have programming
                    interface code of 0x01. */
- dev->transparent = ((class & 0xff) == 1);
+ dev->transparent = ((dev->class & 0xff) == 1);
                 pci_read_bases(dev, 2, PCI_ROM_ADDRESS1);
                 break; 
Comment 3 Alan Cox 2003-06-08 15:21:00 EDT
Fixed in the base tree now Arjan
Comment 4 Bugzilla owner 2004-09-30 11:40:06 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.